Subject: Re: bug#8736: chmod -p --parents

From: Erik Auerswald <[email-masked]>
Date: Fri, 27 May 2011 16:54:57 +0200

Hi,

On Thu, May 26, 2011 at 10:13:05PM +0200, [email-masked] wrote:
> 
> In the past, I was an advocate of the -p --parents option for 
> mkdir. By now this is realised. Now I'm doing the same for chmod. 
> [...]
> I want to be able to execute the following: 
> 
> chmod a+rx -p ~/dir1/dir2/dir3/file.ext 

I like the proposal.

> It should be more refined however: the dirs 
> should be rx, but the file only r. 

You can use a capital X to automatically handle the directory case. But
please take a look at the docs for the _exact_ meaning of X.

Regards,
Erik
-- 
In the beginning, there were not enough colors.
                        -- Guy Keren